Avisi cloud logo
OpenapiGenerated

List available cloud profiles for an organisation.

GET
/api/v1/orgs/{organisationSlug}/cloud-profiles

Path Parameters

organisationSlug*string
Match^[a-z0-9-_]+$

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/orgs/string/cloud-profiles"
{  "totalPages": 0,  "totalElements": 0,  "size": 0,  "content": [    {      "identity": "string",      "displayName": "string",      "metadata": {        "property1": "string",        "property2": "string"      },      "cloudProvider": "string",      "regions": [        "string"      ],      "enabled": true,      "type": "aws",      "cloudProviderResponse": {        "id": 0,        "name": "string",        "slug": "string",        "available": true,        "createdAt": "2019-08-24T14:15:22Z",        "modifiedAt": "2019-08-24T14:15:22Z",        "logo": "string",        "byon": true,        "type": "aws",        "privateClusterSetting": "UNAVAILABLE",        "metadata": {          "property1": "string",          "property2": "string"        },        "validateCloudCredentials": true      },      "cloudProviderRegionResponses": [        {          "id": 0,          "provider": "string",          "name": "string",          "slug": "string",          "available": true,          "restricted": true,          "addToNewTrialOrganizations": true,          "createdAt": "2019-08-24T14:15:22Z",          "modifiedAt": "2019-08-24T14:15:22Z"        }      ],      "public": true    }  ],  "number": 0,  "sort": {    "empty": true,    "sorted": true,    "unsorted": true  },  "pageable": {    "offset": 0,    "paged": true,    "pageNumber": 0,    "pageSize": 0,    "sort": {      "empty": true,      "sorted": true,      "unsorted": true    },    "unpaged": true  },  "numberOfElements": 0,  "first": true,  "last": true,  "empty": true}